Sisimai::Reason::PolicyViolation(3pm)

NAME
Sisimai::Reason::PolicyViolation - Bounce reason is "policyviolation" or not.

SYNOPSIS
    use Sisimai::Reason::PolicyViolation;
    print Sisimai::Reason::PolicyViolation->match('5.7.9 Header error');    # 1

DESCRIPTION
"Sisimai::Reason::PolicyViolation" checks the bounce reason is "policyviolation" or not. This class is called only "Sisimai::Reason" class.

This is the error that a policy violation was detected on the destination mail host. When the header content or the format of the original message violates their security policies, or multiple addresses exist in the "From:" header, Sisimai will set "policyviolation".

    Action: failed
    Status: 5.7.0
    Remote-MTA: DNS; gmail-smtp-in.l.google.com
    Diagnostic-Code: SMTP; 552-5.7.0 Our system detected an illegal attachment on your message. Please
    Last-Attempt-Date: Tue, 28 Apr 2009 11:02:45 +0900 (JST)

CLASS METHODS

  "text()"
text() method returns the fixed string "policyviolation".

    print Sisimai::Reason::PolicyViolation->text;  # policyviolation

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::PolicyViolation->match('5.7.9 Header error');    # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "policyviolation". The argument must be <CSisimai::Fact> object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2017-2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.